# Originally imported from mageia

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		baobab
Version:	3.26.1
Release:	%mkrel 3
Summary:	Disk Usage Analyzer (aka Baobab)
License:	GPLv2+
Group:		File tools
Url:		https://wiki.gnome.org/GnomeUtils/Baobab
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------
BuildRequires: itstool
BuildRequires: intltool
BuildRequires: libgirepository-devel
BuildRequires: libgtop2.0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: gnome-doc-utils
BuildRequires: vala
#----------------------------------------

%description
Disk Usage Analyzer is is a graphical, menu-driven application to analyze
disk usage in any Gnome environment. Disk Usage Analyzer can easily scan
either the whole file-system tree, or a specific user-requested directory
branch (local or remote).

It also auto-detects in real-time any changes made to your home directory
as far as any mounted/unmounted device. Disk Usage Analyzer also provides
a full graphical tree-map window for each selected folder.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-FileTools;" \
  --remove-not-show-in=KDE \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.baobab.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.%{name}.service
%{_datadir}/icons/*/*/apps/%{name}*.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/help/*/%{name}/*


%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 3.26.1-3uplos2018
- imported for uplos
